#dropincms-modal {
  overflow-y: scroll;
  max-height: 600px;
  max-width: 600px;
  width: 100%;
  min-width: 300px; 
  position: absolute; 
  top: 50%; 
  left: 50%; 
  transform: translate(-50%, -50%); 
  background-color: white; 
  border-radius: .25rem;
}

.dropincms--modal-header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding: 1rem 1rem;
  border-bottom: 1px solid #e9ecef;
  background-color: #343a40!important;
}

.dropincms--modal-brand {
    color: #fff;
    display: inline-block;
    padding-top: 0.3125rem;
    padding-bottom: 0.3125rem;
    margin-right: 1rem;
    font-size: 1.25rem;
    line-height: inherit;
    white-space: nowrap;
    text-decoration: none;
    background-color: transparent;
}

.dropincms--modal-close {
  cursor: pointer;
  color: #fff !important;
  font-size: 1.25rem;
  float: right;
  text-decoration: none;
    padding-top: 0.3125rem;
    padding-bottom: 0.3125rem;
    margin-right: 0.5rem;
    font-size: 1.25rem;
    line-height: inherit;
    white-space: nowrap;
    text-decoration: none;
    background-color: transparent;
}

.dropincms--modal-content {
  padding: 10px;
  overflow-x: clip;
}

.dropincms--loading-screen {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.95);
    z-index: 999999;
    color: white;
    text-align: center;
    padding-top: 50px;
  }

  .dropincms--loading-screen h2 {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif;
    -webkit-font-smoothing: antialiased;
  }

  .dropincms-modal-form {
    padding-top:20px;
    padding-bottom:15px;
  }

  #loading-spinner {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    border: 4px solid #f3f3f3;
    border-top: 4px solid #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
  }
  
  @keyframes spin {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }

  #dropincms--textarea {
    height: 200px;
  }

  .dropincms--btn-primary {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
  }

  .dropincms--btn-secondary {
    color: #fff;
    background-color: #6c757d;
    border-color: #6c757d;
    float: right;
  }

  .dropincms--btn {
    cursor: pointer;
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
  }